Deployments.ai Docs
Agent Email

List inbox drafts

GET /v1/agent-email/inboxes/{inboxId}/drafts · SDK listAgentEmailDrafts · CLI deployments inbox drafts

GET
/v1/agent-email/inboxes/{inboxId}/drafts

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
status?string
Value in"approved""cancelled""draft""failed""pending_approval""queued""rejected""scheduled""sent"

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailDraftPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/inboxes/string/drafts" \  -H "x-deployments-environment: string"
{  "items": [    {      "approvedAt": "2019-08-24T14:15:22Z",      "bccAddresses": [        "string"      ],      "ccAddresses": [        "string"      ],      "clientId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "failureReason": "string",      "htmlBody": "string",      "id": "string",      "inboxId": "string",      "metadata": {        "property1": null,        "property2": null      },      "organizationId": "string",      "rejectedAt": "2019-08-24T14:15:22Z",      "replyToMessageId": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "sentMessageId": "string",      "status": "approved",      "subject": "string",      "textBody": "string",      "toAddresses": [        "string"      ],      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}